## [210.0.0] - 2026-01-25
### Added
- 新增网络直播功能
- 动漫磁力搜索增加蜜柑
- 弹幕磁力搜索增加动漫花园
- pansou增加关键词过滤
- cloudflare workers部署支持

### Changed
- 去广告增强
- 登录验证机制改为Token+Refresh Token形式
- 移除旧版用户操作残留

### Fixed
- 修复缓存弹幕限制后不显示原始数量
- 修复测速缓存导致的错误测速数据
- 修复videocard，2000年只显示0年

## [209.1.0] - 2026-01-21
### Added
- 增加禁用自动匹配弹幕
- 增加弹幕上限设置
- 增加禁用弹幕热力图开关

### Changed
- 恢复无数据库支持
- 反爬增强

### Fixed
- 修复订阅去广告开关不正确修改链接问题

## [209.0.0] - 2026-01-18
### Added
- 新增收藏更新邮件发送
- 新增测速超时设置
- tmdb详情支持查看季度信息，集数信息
- tmdb支持设置反代
- tmdb图片支持自定义设置url
- 豆瓣图片增加百度图片代理

### Changed
- 统一upstash和redis数据层
- 优化docker镜像大小
- Cloudflare Turnstile开启前检测sitekey和Secretkey不能为空
- 豆瓣反爬增强
- 竖向videocard的source name调整到海报右下角
- 取消小雅获取剧集强制刷新
- 本地设置选项卡增加图标

### Fixed
- 修复详情不应用豆瓣图片策略

## [208.0.0] - 2026-01-16
### Added
- ai问片增加非流式响应
- 新增下集弹幕预加载
- openlist和小雅增加禁用预览方式播放
- 管理配置增加主动重载
- emby增加排序功能
- 播放页面标题自动跟随影片标题
- emby数据增加导入导出

### Changed
- 小雅现在会自动刷新播放链接
- 缓冲策略从下拉框改为滑块
- openlist扫描前增加tmdbkey配置检测
- 优化firefox下的弹幕热力图
- 小雅获取剧集时刷新文件夹

### Fixed
- 修复redis方式数据导入报错
- 修复小雅不过滤空url


## [207.0.0] - 2026-01-13
### Added
- 私人影库增加小雅支持
- 测速增加码率测算
- 私人影库增加求片功能
- 搜索增加简繁转换器
- openlist多目录扫描支持

### Changed
- 视频源保留关键字增加xiaoya，emby
- 年代筛选的年代改为动态生成
- openlist支持视频预览方式播放

### Fixed
- 修复upstash方式数据导入报错
- 修复新加载弹幕不显示弹幕数量
- 修复生产环境emby分类返回空数组

## [206.3.0] - 2026-01-10
### Added
- emby支持配置多源
- emby支持配置高级参数（转码mp4，代理等）
- 新增自定义ai问片默认消息

### Changed
- 优化搜索逻辑和聚合逻辑
- 加载缓存弹幕时显示元信息
- 服务器代理豆瓣图片反防盗链增强

### Fixed
- 修复emby分类切换时加载旧数据

## [206.2.1] - 2026-01-08
### Fixed
- 修正豆瓣图片源

## [206.2.0] - 2026-01-07
### Added
- 轮播图数据源增加豆瓣
- 弹幕开关状态持久化
- play页面新增复制视频链接

### Changed
- 搜索聚合规则增强
- emby剧集弹幕匹配优化
- 搜索来源筛选提升私人影库权重
- 私人影库未配置openlist时自动跳转emby
- 优化弹幕加载逻辑

### Fixed
- 修复私人影库报错导致搜索无结果
- 修复无法保存更多推荐数据源

## [206.1.0] - 2026-01-05
### Added
- 新增手动上传弹幕功能

### Changed
- 修改页面进度条逻辑
- openlist和emby源改为异步搜索
- 提高移动端选集面板高度

### Fixed
- 修复live页面500报错


## [206.0.0] - 2026-01-04
### Added
- 私人影库增加emby支持
- 清空增加确认框
- 增加页面切换进度条
- 增加首页模块配置

### Changed
- 私人影库支持解析ova集数
- 优化弹幕匹配逻辑
- 修改本地设置面板可折叠
- 关闭预告片后不再检测连通性，检测连通性时增加query保证无缓存检测

### Fixed
- 修正视频源代理模式外部播放器链接
- 修复删除配置文件源提示成功的问题

## [205.1.0] - 2026-01-02
### Added
- 播放器显示截屏按钮
- 播放器在移动端增加快进快退控件
- 私人影库增加扫描模式
- 定时任务接口增加鉴权
- tmdb轮播图支持预告片显示

### Changed
- 调整竖向videocard样式
- 源站寻片应用黄色过滤器
- 调整播放页大屏幕下封面图大小
- 热力图不再使用artplayer内置方式，改为自定义实现

### Fixed
- 修复私人影库分页问题
- 修复同一视频频繁弹窗弹幕选择
- 彻底移除旧版用户导入导出并修复导入密码二次hash的问题


## [205.0.1] - 2026-01-01
### Changed
- 迁移跳过配置到新数据结构

## [205.0.0] - 2026-01-01
### Added
- oidc注册支持设置linuxdo信任等级
- 播放页增加更多推荐
- 新增首页轮播图
- 播放页面增加背景图
- 增加动漫磁力搜索
- 视频源增加代理开关
- 新增预缓冲和缓冲策略
- 新增ai问片功能
- 新增播放记录自动清理
- tmdb增加轮询
- 视频卡新增详情功能
- 新增源站寻片功能

### Changed
- 大幅提高播放页性能
- 私人影库扫描增加季度支持与年份辅助扫描
- 移除首页的收藏夹切换卡，改成从用户菜单进入
- 美化继续观看模块
- tvbox支持私人影库播放
- 继续观看列表使用虚拟滚动
- 重构弹幕缓存
- 迁移观看记录和收藏到新数据结构
- 跳过配置改成弹窗配置
- 首页推荐数据增加1小时缓存
- 不再支持无数库使用
- 更换logo

### Fixed
- 修复/api/server-config暴露externalServerAuth的安全问题
- 修复换源列表，私人影库不显示图像
- 修复无法切换源到私人影库
- 修正admin权限问题
- 修复定时任务的openlist扫描
- 修复导入用户丢失问题
- 修复暂停保存两次播放记录

## [204.0.0] - 2025-12-25

### Added
- ⚠️⚠️⚠️更新此版本前务必进行备份！！！⚠️⚠️⚠️
- 新增私人影视库功能（实验性）
- 增加弹幕热力图
- 增加盘搜搜索资源

### Changed
- 完全重构用户数据存储结构
- 提高所有弹幕接口的超时时间
- 优化完结标识判断
- 即将上映移动端字体大小调整
- tmdb增加代理支持
- 剧集更新检测改为服务器后台定时执行

## [203.2.2] - 2025-12-20

### Fixed
- 修复IOS端换集报错播放器初始化失败
- 修复超分切换时重复渲染

## [203.2.0] - 2025-12-19

### Added
- 首页新增短剧推荐
- 新增剧集更新检查

### Changed
- 优化弹幕匹配规则
- 弹幕请求超时修改为2分钟
- 视频加载失败增加提示

## [203.1.0] - 2025-12-18

### Added
- 直播页面增加超分功能
- 直播节目单增加Timeline视图
- 直播页面增加外部播放器

### Changed
- 直播观看记录会出现在继续观看列表了
- 直播页面切换频道现在地址栏会跟随变化
- 直播首次加载节目单改为异步

## [203.0.0] - 2025-12-17

### Added
- 首页新增即将上映模块
- 新增剧集屏蔽功能
- 换源增加重新测试和质量排序

### Changed
- IOS全屏体验优化
- 站点配置中的注册相关配置移动到了新的注册配置大项中
- 默认站名从MoonTV改为MoonTVPlus
- 用户管理现在会给oidc注册的用户显示oidc标识

### Fixed
- 修复压缩节目单无法加载
- 修复Docker环境下离线下载无法开启

## [202.0.0] - 2025-12-14

### Added
- 新增离线下载功能
- 增加注册功能
- 增加oidc登录功能
- 增加自定义主题

### Changed
- 视频下载现在支持选集下载

### Fixed
- 修复webrtc连接容易断开的问题
- 修复语音聊天中转模式回声

## [201.0.1] - 2025-12-10

### Fixed
- 修复因弹幕缓存导致弹幕过滤功能失效的bug

## [201.0.0] - 2025-12-10

### Added
- 增加观影室，支持多人同步观影、实时聊天、语音通话等功能（实验性）
- 增加完整下载，通过合并m3u8片段实现完整视频下载
- 播放详情页增加评分显示

### Changed
- 现在本地弹幕缓存会主动清除了
### Fixed
- 修正tvbox订阅请求时机错误

## [200.4.0] - 2025-12-06

### Added
- 增加tvbox订阅功能，自带去广告
- 增加弹幕本地缓存

### Changed
- 外部播放器使用代理m3u8时现在可以增加鉴权了

## [200.3.0] - 2025-12-05

### Added
- 增加自定义去广告功能

### Changed
- 现在外部播放器支持去广告了

### Fixed
- 修复首页/api/favorites接口重复请求

## [200.2.0] - 2025-12-04

### Added
- 新增弹幕过滤功能
- 配置文件现在支持上传json
- 搜索结果现在支持缓存

### Changed
- 登录页面现在可以保存和查看密码
- 优化弹幕自动匹配
- 优化超分功能

### Fixed
- 弹幕自动加载失败现在有提示了

## [200.1.0] - 2025-12-03

### Changed
- 评论抓取功能更改为懒加载
- 评论抓取功能增加开关，默认为关闭

### Fixed
- 修复播放页500错误

## [200.0.0] - 2025-12-02

### Added
- 新增外部播放器跳转
- 新增视频超分
- 新增弹幕抓取
- 新增评论抓取

### Fixed
- 修复首页卡顿

## [100.0.0] - 2025-08-26

### Added

- 新增对 SITE_BASE 环境变量的支持，解决 m3u8 重写时 base url 错误的问题

### Changed

- 移除授权相关逻辑
- 移除代码混淆
- 移除 melody-cdn-sharon

## [4.3.0] - 2025-08-26

### Added

- 支持将 IPTV 频道添加到收藏中

### Changed

- 禁用 flv 直播，仅支持 m3u8 直播
- 降低代理 ts 分片的内存占用

## [4.2.1] - 2025-08-26

### Fixed

- 修复直播源加载失败或离开页面后依然无限加载的问题

## [4.2.0] - 2025-08-26

### Added

- 支持 flv 直播和直播地址解析到 mp4 的处理
- 增加直播台标的 proxy 以防止 cors
- 支持播放页选集分组的滚动翻页

### Changed

- 管理后台页面的按钮增加加载中的 UI

### Fixed

- /api/proxy/m3u8 仅对 m3u8 内容反序列化，降低内存和 CPU 消耗

## [4.1.1] - 2025-08-25

### Changed

- 增加对 url-tvg 和多 epg url 的支持

### Fixed

- 修复 epg 数据清洗中去重叠逻辑未考虑日期导致的问题

## [4.1.0] - 2025-08-24

### Added

- 解析 m3u 自带的 epg 和自定义 epg，增加今日节目单

### Changed

- 直播源数据刷新改为并发刷新

## [4.0.0] - 2025-08-24

### Added

- 增加 iptv 订阅和播放功能

### Changed

- 搜索页面视频卡片移动端/右键菜单添加豆瓣链接
- 搜索建议遵循色情过滤

## [3.2.1] - 2025-08-22

### Changed

- 新增色色过滤分类
- 调整搜索建议框层级

## [3.2.0] - 2025-08-22

### Added

- 视频源管理支持批量启用、禁用、删除
- 用户管理支持批量设置用户组
- 视频卡片右键/长按菜单新增新标签页播放

### Changed

- 视频卡片移动端 hover 时仅保留播放按钮
- 微调管理页面 UI 和视频卡片右键/长按菜单中的收藏样式

### Fixed

- 修复了搜索栏 enter 键自动选中第一个建议项的问题

## [3.1.2] - 2025-08-22

### Fixed

- 修复移动端卡片无法点击的问题

## [3.1.1] - 2025-08-21

### Fixed

- 修复了视频卡片 hover 的非播放按钮点击后进入播放页的问题

## [3.1.0] - 2025-08-21

### Added

- 增加用户组管理和用户组播放源限制
- 增加管理面板视频源有效性检查
- 搜索栏增加一键删除按钮

### Changed

- 放宽授权心跳对于网络问题的判断标准
- 统一管理面板弹窗使用 createPortal
- VideoCard 允许移动端响应 hover 事件
- 移动端布局 header 常驻，搜索按钮移动到 header 右侧
- 调大搜索接口超时时间

### Fixed

- 修复 bangumi 返回的整数评分无小数导致 UI 不对齐的问题

## [3.0.2] - 2025-08-20

### Changed

- 优化机器码生成逻辑

### Fixed

- 修复 redis url 不支持 rediss 协议的问题

## [3.0.1] - 2025-08-20

### Fixed

- 修复授权初始化错误

## [3.0.0] - 2025-08-20

### Added

- 防盗卖加固
- 支持自定义用户可用视频源

### Changed

- 右键视频卡片可弹出操作菜单

### Fixed

- 过滤掉集数为 0 的搜索结果

## [2.7.1] - 2025-08-17

### Fixed

- 修复 iOS 下版本面板可穿透滚动背景的问题

## [2.7.0] - 2025-08-17

### Added

- 视频卡片新增移动端操作面板，优化触控屏操作体验

### Changed

- 优化集数标题的匹配和展示逻辑

### Fixed

- 修复设置面板和修改密码面板背景可被拖动的问题

## [2.6.0] - 2025-08-17

### Added

- 新增搜索流式输出接口，并设置流式搜索为默认搜索接口，优化搜索体验
- 新增源站搜索结果内存缓存，粒度为源站+关键词+页数，缓存 10 分钟
- 新增豆瓣 CDN provided by @JohnsonRan

### Changed

- 搜索结果默认为无排序状态，不再默认按照年份排序
- 常规搜索接口无结果时，不再设置响应的缓存头
- 移除豆瓣数据源中的 cors-anywhere 方式

### Fixed

- 数据导出时导出站长密码，保证迁移到新账户时原站长用户可正常登录
- 聚合卡片优化移动端源信息展示

## [2.4.1] - 2025-08-15

### Fixed

- 对导入和 db 读取的配置文件做自检，防止 USERNAME 修改导致用户状态异常

## [2.4.0] - 2025-08-15

### Added

- 支持 kvrocks 存储（持久化 kv 存储）

### Fixed

- 修复搜索结果排序不稳定的问题
- 导入数据时同时更新内存缓存的管理员配置

## [2.3.0] - 2025-08-15

### Added

- 支持站长导入导出整站数据

### Changed

- 仅允许站长操作配置文件
- 微调搜索结果过滤面板的移动端样式

## [2.2.1] - 2025-08-14

### Fixed

- 修复了筛选 panel 打开时滚动页面 panel 不跟随的问题

## [2.2.0] - 2025-08-14

### Added

- 搜索结果支持按播放源、标题和年份筛选，支持按年份排序
- 搜索界面视频卡片展示年份信息，聚合卡片展示播放源

### Fixed

- 修复 /api/search/resources 返回空的问题
- 修复 upstash 实例无法编辑自定义分类的问题

## [2.1.0] - 2025-08-13

### Added

- 支持通过订阅获取配置文件

### Changed

- 微调部分文案和 UI
- 删除部分无用代码

## [2.0.1] - 2025-08-13

### Changed

- 版本检查和变更日志请求 Github

### Fixed

- 微调管理面板样式

## [2.0.0] - 2025-08-13

### Added

- 支持配置文件在线配置和编辑
- 搜索页搜索框实时联想
- 去除对 localstorage 模式的支持

### Changed

- 播放记录删除按钮改为垃圾桶图标以消除歧义

### Fixed

- 限制设置面板的最大长度，防止超出视口

## [1.1.1] - 2025-08-12

### Changed
- 修正 zwei 提供的 cors proxy 地址
- 移除废弃代码

### Fixed
- [运维] docker workflow release 日期使用东八区日期

## [1.1.0] - 2025-08-12

### Added
- 每日新番放送功能，展示每日新番放送的番剧

### Fixed
- 修复远程 CHANGELOG 无法提取变更内容的问题

## [1.0.5] - 2025-08-12

### Changed
- 实现基于 Git 标签的自动 Release 工作流

## [1.0.4] - 2025-08-11

### Added
- 优化版本管理工作流，实现单点修改

### Changed
- 版本号现在从 CHANGELOG 自动提取，无需手动维护 VERSION.txt

## [1.0.3] - 2025-08-11

### Changed

- 升级播放器 Artplayer 至版本 5.2.5

## [1.0.2] - 2025-08-11

### Changed

- 版本号比较机制恢复为数字比较，仅当最新版本大于本地版本时才认为有更新
- [运维] 自动替换 version.ts 中的版本号为 VERSION.txt 中的版本号

## [1.0.1] - 2025-08-11

### Fixed

- 修复版本检查功能，只要与最新版本号不一致即认为有更新

## [1.0.0] - 2025-08-10

### Added

- 基于 Semantic Versioning 的版本号机制
- 版本信息面板，展示本地变更日志和远程更新日志